GLABELS-BATCH-QT(1)

NAME
glabels-batch-qt - print glabels project from command line

SYNOPSIS

glabels-batch-qt [options] FILE

DESCRIPTION

glabels-batch-qt is a utility for printing a glabels project file from the command line. This command takes exactly one project file, FILE. If FILE is "-", it expects an XML glabels project to be provided on standard input.

OPTIONS

-h, --help
    Displays usage information and exits.

-v, --version
    Displays version information and exits.

-p <printer>, --printer <printer>
    Send output to <printer>.

-o [<filename>], --output [<filename>]

Set output filename to <filename>. If filename is - , write to standard output.

(Default="output.pdf")

-s <n>, --sheets <n>
    For simple projects, sets number of full sheets to <n>. (Default=1)

-c <n>, --copies <n>
    Set number of copies to <n>. (Default=1)

-a, --collate
    Collate merge copies.

-g, --group
    Start each merge group on a new page.

-f <n>, --first <n>
    Set starting position to <n>. (Default=1)

-l, --outlines
    Print label outlines.

-m, --crop-marks
    Print crop marks.

-r, --reverse
    Print in reverse (mirror image).

-D <var>=<value>, --define <var>=<value>
    Set initial value of user variable <var> to <value>.

FILES

${prefix}/share/glabels-qt/templates/
    Directory containing predefined product templates distributed with glabels.

${XDG_CONFIG_HOME}/glabels.org/glabels-qt/
    Directory containing user defined product templates created with the gLabels Product Template Designer. Do not place manually created templates here!

${HOME}/.glabels/
    Directory for manually created product templates.

KNOWN ISSUES

On GNU/Linux platforms, glabels-batch-qt must be run from within a windowing environment, such as X or Wayland. This is because Qt requires a suitable platform to obtain system font information. A work-around is to run glabels-batch-qt using a virtual X server environment:

xvfb-run glabels-batch-qt -o output.pdf myProject.glabels

REPORTING BUGS

Bugs and feature requests can be reported via the gLabels issue tracking system at GitHub (<https://github.com/j-evins/glabels-qt/issues>). You will need a GitHub account to submit new issues or to comment on existing issues.

SEE ALSO

glabels-qt(1)

The gLabels homepage at <http://glabels.org/>.

COPYRIGHT
2020, Jaye Evins <evins@snaught.com>